select top (30) t3.fprovince, t3.fcity, t3.fcounty, t2.fname, max(t1.flastrequestdate) flastrequestdate
from tuserrequestlog t1
       inner join tenterprise_users t2 on t1.siteid = t2.siteid and t1.tenterprise_userid = t2.tenterprise_userid
       inner join tagents t3 on t2.siteid = t3.siteid and t2.tagentsid = t3.tagentsid
where t1.tagentsid>0 and t1.siteid = $siteid$
group by t3.fprovince, t3.fcity, t3.fcounty, t2.fname
order by max(t1.flastrequestdate)desc